<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileBasedBuilderProperties (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileBasedBuilderProperties (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="FileBasedBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Interface FileBasedBuilderProperties" class="title">Interface FileBasedBuilderProperties&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the result of all set methods for method chaining</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">PropertiesBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FileBasedBuilderProperties&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of a properties interface for parameters of file-based configurations.
 </p>
 <p>
 This interface defines a set of properties which can be used to specify the
 location of a configuration source.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileBasedBuilderProperties.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setBasePath-java.lang.String-">setBasePath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the base path of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;enc)</code>
<div class="block">Sets the encoding of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFile-java.io.File-">setFile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>File</code>
 object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileName-java.lang.String-">setFileName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the file name of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</code>
<div class="block">Sets the <code>FileSystem</code> of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">setLocationStrategy</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</code>
<div class="block">Sets the <code>FileLocationStrategy</code> for resolving the referenced file.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setPath-java.lang.String-">setPath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as an absolute
 file path.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">setReloadingDetectorFactory</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a>&nbsp;factory)</code>
<div class="block">Sets the factory for creating <code>ReloadingDetector</code> objects.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingRefreshDelay-java.lang.Long-">setReloadingRefreshDelay</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;reloadingRefreshDelay)</code>
<div class="block">Sets the refresh delay for reloading support</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setURL-java.net.URL-">setURL</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>URL</code>
 object.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setReloadingRefreshDelay-java.lang.Long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReloadingRefreshDelay</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setReloadingRefreshDelay(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;reloadingRefreshDelay)</pre>
<div class="block">Sets the refresh delay for reloading support</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reloadingRefreshDelay</code> - the refresh delay (in milliseconds)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReloadingDetectorFactory</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setReloadingDetectorFactory(<a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a>&nbsp;factory)</pre>
<div class="block">Sets the factory for creating <code>ReloadingDetector</code> objects. With
 this method a custom factory for reloading detectors can be installed.
 Per default, a factory creating <code>FileHandlerReloadingDetector</code>
 objects is used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>factory</code> - the <code>ReloadingDetectorFactory</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFile-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFile</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setFile(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>File</code>
 object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the <code>File</code> location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setURL-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setURL</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setURL(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>URL</code>
 object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the <code>URL</code> location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPath</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setPath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Sets the location of the associated <code>FileHandler</code> as an absolute
 file path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFileName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileName</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setFileName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Sets the file name of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the file name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setBasePath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBasePath</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setBasePath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Sets the base path of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the base path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFileSystem-org.apache.commons.configuration2.io.FileSystem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileSystem</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setFileSystem(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</pre>
<div class="block">Sets the <code>FileSystem</code> of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fs</code> - the <code>FileSystem</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocationStrategy</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setLocationStrategy(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</pre>
<div class="block">Sets the <code>FileLocationStrategy</code> for resolving the referenced file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strategy</code> - the <code>FileLocationStrategy</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setEncoding</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a>&nbsp;setEncoding(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;enc)</pre>
<div class="block">Sets the encoding of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enc</code> - the encoding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="FileBasedBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
